/*
package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.str.*;
import com.diagbot.vo.str.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/qc/data_str")
@Api(value = "对接接口API-结构化", tags = { "对接接口API-结构化" })
public class ADataStrController {

    @Autowired
    private AStrAdmissionNoteFacade aStrAdmissionNoteFacade;

    @Autowired
    private AStrBloodResultFacade aStrBloodResultFacade;

    @Autowired
    private AStrBloodTransfusionFacade aStrBloodTransfusionFacade;

    @Autowired
    private AStrConsultationApplyFacade aStrConsultationApplyFacade;

    @Autowired
    private AStrCrisisNoteFacade aStrCrisisNoteFacade;

    @Autowired
    private AStrConsultationRecordFacade aStrConsultationRecordFacade;

    @Autowired
    private AStrConsultationResultFacade aStrConsultationResultFacade;

    @Autowired
    private AStrConsultationNoteFacade aStrConsultationNoteFacade;

    @Autowired
    private AStrFirstRecordFacade aStrFirstRecordFacade;

    @Autowired
    private AStrDifficultCaseFacade aStrDifficultCaseFacade;

    @Autowired
    private AStrDeathDiscussionFacade aStrDeathDiscussionFacade;

    @Autowired
    private AStrDeathNoteFacade aStrDeathNoteFacade;

    @Autowired
    private AStrOperativeFirstRecord aStrOperativeFirstRecordFacade;

    @Autowired
    private AStrLeaveHospitalFacade aStrLeaveHospitalFacade;

    @Autowired
    private AStrIllCriticallyFacade aStrIllCriticallyFacade;

    @Autowired
    private AStrIllSeriouslFacade aStrIllSeriouslFacade;


    @Autowired
    private AStrPreoperativeDiscussionFacade aStrPreoperativeDiscussionFacade;

    @Autowired
    private AStrPeriodConclusionFacade aStrPeriodConclusionFacade;

    @Autowired
    private AStrRescueNoteFacade aStrRescueNoteFacade;

    @Autowired
    private AStrTransferInNoteFacade aStrTransferInNoteFacade;

    @Autowired
    private AStrTransferOutNoteFacade aStrTransferOutNoteFacade;

    @Autowired
    private AStrWardRecordFacade aStrWardRecordFacade;

    @Autowired
    private AStrOperativeNoteFacade aStrOperativeNoteFacade;

    @ApiOperation(value = "入院记录")
    @PostMapping("/sendAdmissionNote")
    @SysLogger("sendAdmissionNote")
    public RespDTO sendAdmissionNote(@RequestBody List<StrAdmissionNoteVO> list){
        return aStrAdmissionNoteFacade.execDealData(list);
    }

    @ApiOperation(value = "输血后效果评价")
    @PostMapping("/sendBloodResult")
    @SysLogger("sendBloodResult")
    public RespDTO sendBloodResult(@RequestBody List<StrBloodResultVO> list){
        return aStrBloodResultFacade.execDealData(list);
    }

    @ApiOperation(value = "输血/血制品病程记录")
    @PostMapping("/sendBloodTransfusion")
    @SysLogger("sendBloodTransfusion")
    public RespDTO sendBloodTransfusion(@RequestBody List<StrBloodTransfusionVO> list){
        return aStrBloodTransfusionFacade.execDealData(list);
    }

    @ApiOperation(value = "会诊申请单")
    @PostMapping("/sendConsultationApply")
    @SysLogger("sendConsultationApply")
    public RespDTO sendConsultationApply(@RequestBody List<StrConsultationApplyVO> list){
        return aStrConsultationApplyFacade.execDealData(list);
    }

    @ApiOperation(value = "会诊单（申请和结果）")
    @PostMapping("/sendConsultationNote")
    @SysLogger("sendConsultationNote")
    public RespDTO sendConsultationNote(@RequestBody List<StrConsultationNoteVO> list){
        return aStrConsultationNoteFacade.execDealData(list);
    }

    @ApiOperation(value = "会诊记录")
    @PostMapping("/sendConsultationRecord")
    @SysLogger("sendConsultationRecord")
    public RespDTO sendConsultationRecord(@RequestBody List<StrConsultationRecordVO> list){
        return aStrConsultationRecordFacade.execDealData(list);
    }

    @ApiOperation(value = "会诊结果单")
    @PostMapping("/sendConsultationResult")
    @SysLogger("sendConsultationResult")
    public RespDTO sendConsultationResult(@RequestBody List<StrConsultationResultVO> list){
        return aStrConsultationResultFacade.execDealData(list);
    }

    @ApiOperation(value = "危急值记录")
    @PostMapping("/sendCrisisNote")
    @SysLogger("sendCrisisNote")
    public RespDTO sendCrisisNote(@RequestBody List<StrCrisisNoteVO> list){
        return aStrCrisisNoteFacade.execDealData(list);
    }

    @ApiOperation(value = "死亡病例讨论记录")
    @PostMapping("/sendDeathDiscussion")
    @SysLogger("sendDeathDiscussion")
    public RespDTO sendDeathDiscussion(@RequestBody List<StrDeathDiscussionVO> list){
        return aStrDeathDiscussionFacade.execDealData(list);
    }

    @ApiOperation(value = "死亡记录")
    @PostMapping("/sendDeathNote")
    @SysLogger("sendDeathNote")
    public RespDTO sendDeathNote(@RequestBody List<StrDeathNoteVO> list){
        return aStrDeathNoteFacade.execDealData(list);
    }

    @ApiOperation(value = "疑难病例讨论记录")
    @PostMapping("/sendDifficultCase")
    @SysLogger("sendDifficultCase")
    public RespDTO sendDifficultCase(@RequestBody List<StrDifficultCaseVO> list){
        return aStrDifficultCaseFacade.execDealData(list);
    }

    @ApiOperation(value = "首次病程录")
    @PostMapping("/sendFirstRecord")
    @SysLogger("sendFirstRecord")
    public RespDTO sendFirstRecord(@RequestBody List<StrFirstRecordVO> list){
        return aStrFirstRecordFacade.execDealData(list);
    }

    @ApiOperation(value = "病危通知单")
    @PostMapping("/sendIllCritically")
    @SysLogger("sendIllCritically")
    public RespDTO sendIllCritically(@RequestBody List<StrIllCriticallyVO> list){
        return aStrIllCriticallyFacade.execDealData(list);
    }

    @ApiOperation(value = "病重通知单")
    @PostMapping("/sendIllSeriousl")
    @SysLogger("sendIllSeriousl")
    public RespDTO sendIllSeriousl(@RequestBody List<StrIllSeriouslVO> list){
        return aStrIllSeriouslFacade.execDealData(list);
    }

    @ApiOperation(value = "出院小结")
    @PostMapping("/sendLeaveHospital")
    @SysLogger("sendLeaveHospital")
    public RespDTO sendLeaveHospital(@RequestBody List<StrLeaveHospitalVO> list){
        return aStrLeaveHospitalFacade.execDealData(list);
    }

    @ApiOperation(value = "术后首程")
    @PostMapping("/sendOperativeFirstRecord")
    @SysLogger("sendOperativeFirstRecord")
    public RespDTO sendOperativeFirstRecord(@RequestBody List<StrOperativeFirstRecordVO> list){
        return aStrOperativeFirstRecordFacade.execDealData(list);
    }

    @ApiOperation(value = "手术记录")
    @PostMapping("/sendOperativeNote")
    @SysLogger("sendOperativeNote")
    public RespDTO sendOperativeNote(@RequestBody List<StrOperativeNoteVO> list){
        return aStrOperativeNoteFacade.execDealData(list);
    }

    @ApiOperation(value = "查房记录")
    @PostMapping("/sendWardRecord")
    @SysLogger("sendWardRecord")
    public RespDTO sendWardRecord(@RequestBody List<StrWardRecordVO> list){
        return aStrWardRecordFacade.execDealData(list);
    }

    @ApiOperation(value = "转出记录")
    @PostMapping("/sendTransferOutNote")
    @SysLogger("sendTransferOutNote")
    public RespDTO sendTransferOutNote(@RequestBody List<StrTransferOutNoteVO> list){
        return aStrTransferOutNoteFacade.execDealData(list);
    }

    @ApiOperation(value = "转入记录")
    @PostMapping("/sendTransferInNote")
    @SysLogger("sendTransferInNote")
    public RespDTO sendTransferInNote(@RequestBody List<StrTransferInNoteVO> list){
        return aStrTransferInNoteFacade.execDealData(list);
    }

    @ApiOperation(value = "抢救记录")
    @PostMapping("/sendRescueNote")
    @SysLogger("sendRescueNote")
    public RespDTO sendRescueNote(@RequestBody List<StrRescueNoteVO> list){
        return aStrRescueNoteFacade.execDealData(list);
    }

    @ApiOperation(value = "阶段小结")
    @PostMapping("/sendPeriodConclusion")
    @SysLogger("sendPeriodConclusion")
    public RespDTO sendPeriodConclusion(@RequestBody List<StrPeriodConclusionVO> list){
        return aStrPeriodConclusionFacade.execDealData(list);
    }

    @ApiOperation(value = "术前讨论小结")
    @PostMapping("/sendPreoperativeDiscussion")
    @SysLogger("sendPreoperativeDiscussion")
    public RespDTO sendPreoperativeDiscussion(@RequestBody List<StrPreoperativeDiscussionVO> list){
        return aStrPreoperativeDiscussionFacade.execDealData(list);
    }

}
*/
